Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ejie.r01f.sql
Class CLOBReader

    java.lang.Object
      java.io.Reader
          com.ejie.r01f.sql.CLOBReader

public class CLOBReader
extends java.io.Reader

Clase Wrapper de un ClobReader para ser utilizada desde SQLHelpper Se encarga de obtener la conexión a la base de datos y liberarla cuando ya se han leido todos los datos.

Method Summary
`void` | `close()`
`void` | `finalize()` Cerrar la conexión a base de datos en su caso
`int` | `read()` Lee un caracter y lo devuelve
`int` | `read(char[] c)` Llena el array de caracteres desde el Reader
`int` | `read(char[] c, int off, int len)` Lee un numero de caracteres desde una posición y los devuelve en un array de caracteres
`boolean` | `ready()` Devuelve si el stream esta listo para ser leido
`long` | `skip(long len)` Salta un numero de caracteres

Methods inherited from class java.io.Reader
`mark, markSupported, reset`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### finalize

    public void finalize()

  Cerrar la conexión a base de datos en su caso

### read

    public int read()
             throws java.io.IOException

  Lee un caracter y lo devuelve

  Returns:
    (int)El caracter leido
  Throws:
    `java.io.IOException`
  See Also:
    `Reader.read()`

### read

    public int read(char[] c,
                    int off,
                    int len)
             throws java.io.IOException

  Lee un numero de caracteres desde una posición y los devuelve en un array de caracteres

  Returns:
    (int)El numero de caracteres leidos o -1 si no hay nada que leer
  Throws:
    `java.io.IOException`
  See Also:
    `Reader.read(char[], int, int)`

### read

    public int read(char[] c)
             throws java.io.IOException

  Llena el array de caracteres desde el Reader

  Returns:
    (int)El numero de caracteres leidos o -1 si no hay nada que leer
  Throws:
    `java.io.IOException`
  See Also:
    `Reader.read(char[])`

### skip

    public long skip(long len)
              throws java.io.IOException

  Salta un numero de caracteres

  Returns:
    (long): El numero de caracteres saltados
  Throws:
    `java.io.IOException`
  See Also:
    `Reader.skip(long)`

### ready

    public boolean ready()
                  throws java.io.IOException

  Devuelve si el stream esta listo para ser leido

  Throws:
    `java.io.IOException`
  See Also:
    `Reader.ready()`

### close

    public void close()
               throws java.io.IOException

  Throws:
    `java.io.IOException`
  See Also:
    `Reader.close()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD